Bug 73678 - Combobox for data sources management
Combobox for data sources management
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Code
5.x
All All
: P2 (vote)
: 5.x
Assigned To: Libor Kotouc
issues@javaee
: API_REVIEW_FAST
Depends on: 73712 73713
Blocks: 74156 74158 74862
  Show dependency treegraph
 
Reported: 2006-03-16 18:43 UTC by Libor Kotouc
Modified: 2006-03-29 14:15 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Javadoc, arch.xml, apichanges.xml, etc. (158.46 KB, application/octet-stream)
2006-03-17 09:53 UTC, Libor Kotouc
Details
j2ee/utilities diff (52.93 KB, application/octet-stream)
2006-03-17 09:56 UTC, Libor Kotouc
Details
Javadoc (updated) (158.28 KB, application/octet-stream)
2006-03-27 15:02 UTC, Libor Kotouc
Details
proposed change (updated) (54.31 KB, patch)
2006-03-27 15:02 UTC, Libor Kotouc
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Libor Kotouc 2006-03-16 18:43:47 UTC
There are several places in the NetBeans where a list of data sources should be
shown with possibility to manage (e.g. add) it.

The data sources are retrieved and managed using DS mgmt API, see issue 72816.
Comment 1 Libor Kotouc 2006-03-17 09:53:46 UTC
Created attachment 29283 [details]
Javadoc, arch.xml, apichanges.xml, etc.
Comment 2 Libor Kotouc 2006-03-17 09:56:02 UTC
Created attachment 29284 [details]
j2ee/utilities diff
Comment 3 Libor Kotouc 2006-03-17 13:22:31 UTC
'@since 1.6' Javadoc tag for DatasourceUIHelper.connect() method was added after
the attachments were generated.
Comment 4 Libor Kotouc 2006-03-27 15:02:16 UTC
Created attachment 29428 [details]
Javadoc (updated)
Comment 5 Libor Kotouc 2006-03-27 15:02:52 UTC
Created attachment 29429 [details]
proposed change (updated)
Comment 6 Libor Kotouc 2006-03-27 15:05:06 UTC
Some comments from the issue 73713 applied, generification of the
implementation, small Javadoc change.
I will commit the change tomorrow.
Comment 7 Libor Kotouc 2006-03-29 14:15:22 UTC
The changes were commited into the release55 branch.

Checking in
j2ee/utilities/src/org/netbeans/modules/j2ee/common/DatasourceCustomizer.java;
/cvs/j2ee/utilities/src/org/netbeans/modules/j2ee/common/Attic/DatasourceCustomizer.java,v
 <--  DatasourceCustomizer.java
new revision: 1.1.4.1; previous revision: 1.1
done
Checking in
j2ee/utilities/src/org/netbeans/modules/j2ee/common/DatasourceUIHelper.java;
/cvs/j2ee/utilities/src/org/netbeans/modules/j2ee/common/Attic/DatasourceUIHelper.java,v
 <--  DatasourceUIHelper.java
new revision: 1.1.4.1; previous revision: 1.1
done
Checking in
j2ee/utilities/src/org/netbeans/modules/j2ee/common/DatasourceCustomizer.form;
/cvs/j2ee/utilities/src/org/netbeans/modules/j2ee/common/Attic/DatasourceCustomizer.form,v
 <--  DatasourceCustomizer.form
new revision: 1.1.4.1; previous revision: 1.1
done
Checking in j2ee/utilities/src/org/netbeans/modules/j2ee/common/Bundle.properties;
/cvs/j2ee/utilities/src/org/netbeans/modules/j2ee/common/Bundle.properties,v 
<--  Bundle.properties
new revision: 1.9.2.1.2.1; previous revision: 1.9.2.1
done
Checking in j2ee/utilities/test/.cvsignore;
/cvs/j2ee/utilities/test/Attic/.cvsignore,v  <--  .cvsignore
new revision: 1.1.4.1; previous revision: 1.1
done
Checking in j2ee/utilities/test/build.xml;
/cvs/j2ee/utilities/test/Attic/build.xml,v  <--  build.xml
new revision: 1.1.4.1; previous revision: 1.1
done
Checking in j2ee/utilities/test/build-unit.xml;
/cvs/j2ee/utilities/test/Attic/build-unit.xml,v  <--  build-unit.xml
new revision: 1.1.4.1; previous revision: 1.1
done
Checking in j2ee/utilities/test/cfg-unit.xml;
/cvs/j2ee/utilities/test/Attic/cfg-unit.xml,v  <--  cfg-unit.xml
new revision: 1.1.4.1; previous revision: 1.1
done
Checking in ide/golden/deps.txt;
/cvs/ide/golden/deps.txt,v  <--  deps.txt
new revision: 1.175.2.4.2.40; previous revision: 1.175.2.4.2.39
done
Checking in
j2ee/utilities/test/unit/src/org/netbeans/modules/j2ee/common/J2eeModuleProviderImpl.java;
/cvs/j2ee/utilities/test/unit/src/org/netbeans/modules/j2ee/common/Attic/J2eeModuleProviderImpl.java,v
 <--  J2eeModuleProviderImpl.java
new revision: 1.1.4.1; previous revision: 1.1
done
Checking in
j2ee/utilities/test/unit/src/org/netbeans/modules/j2ee/common/DatasourceUIHelperTest.java;
/cvs/j2ee/utilities/test/unit/src/org/netbeans/modules/j2ee/common/Attic/DatasourceUIHelperTest.java,v
 <--  DatasourceUIHelperTest.java
new revision: 1.1.4.1; previous revision: 1.1
done
Checking in
j2ee/utilities/test/unit/src/org/netbeans/modules/j2ee/common/DatasourceImpl.java;
/cvs/j2ee/utilities/test/unit/src/org/netbeans/modules/j2ee/common/Attic/DatasourceImpl.java,v
 <--  DatasourceImpl.java
new revision: 1.1.4.1; previous revision: 1.1
done
Checking in j2ee/utilities/arch.xml;
/cvs/j2ee/utilities/arch.xml,v  <--  arch.xml
new revision: 1.3.2.1.2.2; previous revision: 1.3.2.1.2.1
done
Checking in j2ee/utilities/manifest.mf;
/cvs/j2ee/utilities/manifest.mf,v  <--  manifest.mf
new revision: 1.6.2.3.2.2; previous revision: 1.6.2.3.2.1
done
Checking in j2ee/utilities/apichanges.xml;
/cvs/j2ee/utilities/apichanges.xml,v  <--  apichanges.xml
new revision: 1.1.2.1.2.1; previous revision: 1.1.2.1
done
Checking in j2ee/utilities/nbproject/project.xml;
/cvs/j2ee/utilities/nbproject/project.xml,v  <--  project.xml
new revision: 1.19.2.3.2.4; previous revision: 1.19.2.3.2.3
done
Checking in j2ee/utilities/nbproject/project.properties;
/cvs/j2ee/utilities/nbproject/project.properties,v  <--  project.properties
new revision: 1.9.2.1.2.2; previous revision: 1.9.2.1.2.1
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo